com.sun.jna.platform.linux

## Class Udev.UdevListEntry

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.linux.Udev.UdevListEntry

- All Implemented Interfaces:
    NativeMapped
  Enclosing interface:
    Udev

      public static class Udev.UdevListEntry
      extends PointerType

  Whenever libudev returns a list of objects, the `udev_list_entry` API should be used to iterate, access and modify those lists.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UdevListEntry()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Get the name of this entry, which is the path of the device in `/sys`.
    `Udev.UdevListEntry` | `getNext()` Gets the next entry in the enumeration.

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UdevListEntry

          public UdevListEntry()

  - ### Method Detail

    - #### getNext

          public Udev.UdevListEntry getNext()

      Gets the next entry in the enumeration.
      Returns:
        On success, returns the next list entry. If no such entry can be found, or on failure, NULL is returned.

    - #### getName

          public java.lang.String getName()

      Get the name of this entry, which is the path of the device in `/sys`.
      Returns:
        A string representing the syspath. On failure, NULL is returned.

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.